## Apache Zeta Components Manual :: Docs For Class ezcMvcMailTieinException

### MvcMailTiein::ezcMvcMailTieinException

### Class ezcMvcMailTieinException

This class provides the base exception for exceptions in the MvcMailTiein component.

Source for this file: /MvcMailTiein/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcMvcMailTieinException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcMvcMailNoDataException | This exception is thrown when no route matches the request.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public void | `__construct( $message )` Constructs an ezcMvcMailTieinException

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

void __construct( string $message )

Constructs an ezcMvcMailTieinException

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMvcMailNoDataException::__construct()` | Constructs an ezcMvcMailNoDataException

Documentation generated by phpDocumentor 1.4.3